/***************************************************************************
                          CallLabel.h  -  description
                             -------------------
    begin                : Sat Dec 8 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALLLABEL_H
#define CALLLABEL_H

#include <qtimer.h>
#include <qstring.h>
#include <qobject.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qbutton.h>
#include <qpushbutton.h>
#include <qapplication.h>
#include <ksimpleconfig.h>
#include <kwin.h>
#include <klocale.h>


class CallLabel: public QObject
{
 	Q_OBJECT
 	
 	public:
 		CallLabel();
 		~CallLabel();
 		
 		void show();
 		void setText(QString text);
		void setFont();
 		
 	private:
 		QTimer *theTimer;
 		QFrame *theLabel;
 		QGridLayout *grid;
		QLabel *call;
		QFont callFont;
		QPushButton *close_button;
 		int w;
 		int h;
 		
 	private slots:
 		void close();
};

#endif
