/***************************************************************************
                          DynamicToolTipp.h  -  description
                             -------------------
    begin                : Sat Nov 17 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DYNAMICTOOLTIPP_H_
#define DYNAMICTOOLTIPP_H_

#include <qtooltip.h>
#include <qstring.h>
#include <qobject.h>


class DynamicToolTipp:public QObject
{
	Q_OBJECT
	
	public:
		DynamicToolTipp(QWidget*);
		~DynamicToolTipp();
		void setText(QString);
		
	private:
		QToolTipGroup *group;
		QWidget *parent;
		bool isVisible;
		QString buffer;
		
	private slots:
		void isShown();
		void isHidden();
};

#endif
