/***************************************************************************
                          calls.h  -  description
                             -------------------
    begin                : Wed Oct 24 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALLS_H_
#define CALLS_H_

#include <qtimer.h>
//#include <qsocket.h>
#include <qstring.h>
#include <qobject.h>
#include <qtextstream.h>
#include "CallLabel.h"
#include "Fli4lTalk.h"
#include "klocale.h"


class Calls : public QObject
{
	Q_OBJECT
	
	public:
		Calls();
		~Calls();
		
	private:
		//QSocket *callsock;
		Fli4lTalk *talk;
		QString lastcall;
		QString host;
		uint telmondport;
		QTimer *callTimer;
		CallLabel *theLabel;
		bool showCall;
		bool telmondReConnect;
		QStringList phoneBook;
		
	private slots:
		void callSlot();
		void showcalls(bool);
		void stop();
		QString getLastCall(QString,int);
		void readPhoneBook();
		void setLabelFont();
		
	signals:
		void newCall(QString,QString,QString,QString,QString);
		void theLastCall(QString,QString,QString,QString,QString);
		void connectToHost(QString,int);
	
};

#endif
