/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Don Okt 18 16:55:06 CEST 2001
    copyright            : (C) 2001 by Robert Nitschke,
			   (C) 2003 by Sebastian Voitzsch
    email                : sebastian@trayimonc.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kuniqueapp.h>
#include <stdlib.h>
#include "trayimonc.h"

static const char *description =
	I18N_NOOP("The Imonc for the KDE-Controlpanel");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
	{ "cfg", I18N_NOOP("Turn on configuration mode"), 0 },
	{0,0,0}
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "trayimonc", I18N_NOOP("TrayImonc"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2002 Robert Nitschke\n(c) 2005 Thomas Bosch\n(c) 2005 Sebastian Voitzsch", 0, 0, "sebastian@trayimonc.de");
	aboutData.addAuthor("Robert Nitschke",0,0,0);
	aboutData.addAuthor("Thomas Bosch",0,0,0);
	aboutData.addAuthor("Sebastian Voitzsch",0, "sebastian@trayimonc.de","http://www.trayimonc.de");

	KCmdLineArgs::init( argc, argv, &aboutData);
	
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.
	KUniqueApplication::addCmdLineOptions();

	if(!KUniqueApplication::start())
		exit(0);

	TrayImonc *trayimonc;
	trayimonc = new TrayImonc();

	return trayimonc->exec();
}
