/***************************************************************************
                          CallTab.h  -  description
                             -------------------
    begin                : Tue Jan 15 2002
    copyright            : (C) 2002 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALLTAB_H_
#define CALLTAB_H_

#include <qframe.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qstring.h>
#include <qlayout.h>
#include <klocale.h>
#include <ksimpleconfig.h>
#include "Table.h"

class CallTab: public QFrame
{
	Q_OBJECT
	
	public:
		CallTab(QWidget *parent);
		~CallTab();
		
		void setSize(int,int);
		void addRow(QString,QString,QString,QString,QString);
		void clear();
		
	private:
		Table *table;
		QGridLayout *grid;
		QGridLayout *buttonGrid;
		QFrame *buttons;
		QButton *resetButton;
		QHeader *col;
		
	private slots:
		void clicked(int);
		void changed(int row, int col);
		void resetTelmond();
		
	signals:
		void reset();
		void updatePhoneBook();
};

#endif
