/***************************************************************************
                          Fli4lTalk.h  -  description
                             -------------------
    begin                : Sun Mar 17 2002
    copyright            : (C) 2002 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FLI4LTALK_H
#define FLI4LTALK_H

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include <netdb.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>				/* decl of inet_addr()	    */
#include <sys/socket.h>
#include <qobject.h>
#include <qstring.h>
#include <qstringlist.h>
#include <errno.h>
#include <fcntl.h>


class Fli4lTalk:public QObject
{
	Q_OBJECT
	
	public:
		Fli4lTalk();
		~Fli4lTalk();
		
		
		void disconnect();
		void sendCommand(QString);
		QString getAnswer();
		QStringList getList(QString);
		
	private:
		int fd;
		QString getBuf(QString);

	private slots:
		void connectToHost(QString,int);
		
			
	signals:
		void	 connected();
	  void lostConnection();
	  void connectFailed();
};

#endif
