/***************************************************************************
                          Rate.h  -  description
                             -------------------
    begin                : Sun Dec 16 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RATE_H
#define RATE_H

#include <qwidget.h>
#include <qpainter.h>
#include <qevent.h>
#include <qtextstream.h>


class Rate: public QWidget
{
	Q_OBJECT
	
	public:
		Rate(QWidget*,QColor,QString,QString);
		~Rate();
		
		void setRate(QString);
		void setColor(QColor);
	
	protected:
		void paintEvent(QPaintEvent*);
		void mousePressEvent(QMouseEvent*);
		void mouseReleaseEvent(QMouseEvent*);
		void mouseMoveEvent(QMouseEvent*);
	
	private:
		QColor color;
		QString prefix;
		QString unit;
		QString theRate;
		QPainter *p;
		
	signals:
		void rightclicked(QPoint);
		void moveWidget(int,int);
		void wantToMove(int,int);
		void moveReady();
};

#endif
